be.cin.nip.async.business

## Class GenericRequest

- java.lang.Object
- - be.cin.nip.async.business.GenericRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:20+01:00",
                 comments="JAXB RI v2.2.11")
      public class GenericRequest
      extends Object
      implements Serializable

  Java class for GenericRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GenericRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CareReceiver" type="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverIdType"/>
               <element name="insRequest" type="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityRequestDetailType"/>
               <element name="ExtendedInformation" type="{urn:be:cin:nip:async:business}SamlAttributeType" minOccurs="0"/>
             </sequence>
             <attribute name="recordInputReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageReferenceType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareReceiverId` | `getCareReceiver()` Gets the value of the careReceiver property.
    `SamlAttributeType` | `getExtendedInformation()` Gets the value of the extendedInformation property.
    `InsurabilityRequestDetail` | `getInsRequest()` Gets the value of the insRequest property.
    `String` | `getRecordInputReference()` Gets the value of the recordInputReference property.
    `void` | `setCareReceiver(CareReceiverId value)` Sets the value of the careReceiver property.
    `void` | `setExtendedInformation(SamlAttributeType value)` Sets the value of the extendedInformation property.
    `void` | `setInsRequest(InsurabilityRequestDetail value)` Sets the value of the insRequest property.
    `void` | `setRecordInputReference(String value)` Sets the value of the recordInputReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericRequest

          public GenericRequest()

  - ### Method Detail

    - #### getCareReceiver

          public CareReceiverId getCareReceiver()

      Gets the value of the careReceiver property.
      Returns:
        possible object is `CareReceiverId`

    - #### setCareReceiver

          public void setCareReceiver(CareReceiverId value)

      Sets the value of the careReceiver property.
      Parameters:
        `value` - allowed object is `CareReceiverId`

    - #### getInsRequest

          public InsurabilityRequestDetail getInsRequest()

      Gets the value of the insRequest property.
      Returns:
        possible object is `InsurabilityRequestDetail`

    - #### setInsRequest

          public void setInsRequest(InsurabilityRequestDetail value)

      Sets the value of the insRequest property.
      Parameters:
        `value` - allowed object is `InsurabilityRequestDetail`

    - #### getExtendedInformation

          public SamlAttributeType getExtendedInformation()

      Gets the value of the extendedInformation property.
      Returns:
        possible object is `SamlAttributeType`

    - #### setExtendedInformation

          public void setExtendedInformation(SamlAttributeType value)

      Sets the value of the extendedInformation property.
      Parameters:
        `value` - allowed object is `SamlAttributeType`

    - #### getRecordInputReference

          public String getRecordInputReference()

      Gets the value of the recordInputReference property.
      Returns:
        possible object is `String`

    - #### setRecordInputReference

          public void setRecordInputReference(String value)

      Sets the value of the recordInputReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.